[Pkg-javascript-commits] [node-acorn-jsx] 484/484: Add runtestsuite

Bastien Roucariès rouca at moszumanska.debian.org
Sat Aug 19 14:21:13 UTC 2017


This is an automated email from the git hooks/post-receive script.

rouca pushed a commit to branch master
in repository node-acorn-jsx.

commit 72352fbaedd23cda4a4e743fffd322fad7e3f0e1
Author: Bastien ROUCARIÈS <roucaries.bastien at gmail.com>
Date:   Fri Aug 18 22:01:22 2017 +0200

    Add runtestsuite
---
 debian/tests/control      |  3 +++
 debian/tests/runtestsuite | 15 +++++++++++++++
 2 files changed, 18 insertions(+)

diff --git a/debian/tests/control b/debian/tests/control
index ff42973..6567f8b 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,2 +1,5 @@
 Tests: require
 Depends: node-acorn-jsx
+
+Tests: runtestsuite
+Depends: node-acorn-jsx
diff --git a/debian/tests/runtestsuite b/debian/tests/runtestsuite
new file mode 100755
index 0000000..dd13a9b
--- /dev/null
+++ b/debian/tests/runtestsuite
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+# notice the / at end in order to load this module
+PACKAGE='acorn-jsx'
+SEDCMD="s,require\s*[(]\s*['\"][.][.]/?[\"']\s*[)],require('$PACKAGE'),g"
+
+tmpdir=$(mktemp -d)
+trap 'rm -rf "$tmpdir"' EXIT INT TERM HUP
+
+cp -r test/ $tmpdir/test
+find test/ -name '*.js' -print0 | \
+    xargs -0 -n1  \
+	  sh -c 'set -e; echo "Create: $3"; sed -E "$1" < "$3" > "$2/$3"' sedtape "$SEDCMD" "$tmpdir"
+
+nodejs $tmpdir/test/run.js

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-javascript/node-acorn-jsx.git



More information about the Pkg-javascript-commits mailing list